.\"	$NetBSD: netid.5,v 1.8 2005/02/26 16:27:44 thorpej Exp $
.\"
.\" Copyright (c) 1996 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt NETID 5
.Os
.Sh NAME
.Nm netid
.Nd NIS network credential file
.Sh DESCRIPTION
Files in
.Nm
format are rare. One lives in the
.Tn NIS
map
.Pa netid.byname .
The format is rather simple. Each row consists of two
items, a key and a value. When created by
.Xr mknetid 8
there are three kind of records.
.Pp
The first type is information about which gids a uid has:
.Bd -literal
unix.\*[Lt]uid\*[Gt]@\*[Lt]yp-domain\*[Gt] \*[Lt]uid\*[Gt]:\*[Lt]gid\*[Gt],\*[Lt]gid\*[Gt]
.Ed
.Pp
The second type has informations about hosts:
.Bd -literal
unix.\*[Lt]hostname\*[Gt]@\*[Lt]yp-domain\*[Gt] 0:\*[Lt]hostname\*[Gt]
.Ed
.Pp
The third type is records from a
.Nm
file other than the two types above.
.Sh FILES
.Bl -tag -width /etc/netid -compact
.It Pa /etc/netid
A file for lines not generated automatically by
.Xr mknetid 8 .
.El
.Sh EXAMPLES
A configuration file might appear as follows:
.Bd -literal
unix.10714@kaka 10714:400,10
unix.jodie@kaka 0:jodie
.Ed
.Sh SEE ALSO
.Xr mknetid 8 ,
.Xr nis 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
